Subject: [bug#52610] [PATCH 00/42] Revising sequoia packaging and update to 1.6

From: Nicolas Goaziou <[email-masked]>
Date: Thu, 30 Dec 2021 01:27:11 +0100

Hello

Hartmut Goebel <[email-masked]> writes:

> This implements the following changes I announced some weeks ago, see
> <https://lists.gnu.org/archive/html/guix-devel/2021-11/msg00221.html>.
> It also updates each sequoia package to its current version.
>
> * Move all sequoia related crates in to sequoia.scm. As of now these are only
>   rust-sequoia-openpgp-0.9, rust-sequoia-rfc2822-0.9 and there is only on
>   package depending on them rust-libpijul-0.12
>
> * bufferedreader, rust-nettle and other crates from the sequoia project but
>   not having "sequoia" (or such) in the name would be kept in crates-io.scm
>
> * In sequoia.scm there would be all sequoia crates, with the app packages
>   named without "rust-" prefix ("sequoia-sq", …)
>
> * The current "sequoia" package will become a "wrapper", just propagating (or
>   copying, what ever is more common in guix) the other packages which have an
>   actual output.

Nice.

Note that some patches are not necessary anymore (e.g., updating
rust-criterion-0.3).

Also, please remove trailing #t in packages definitions (snippets and
phases) and make sequoia use new package style (e.g., $#sequoia-sqv
instead of (assoc-ref %build-inputs "sequoia-sqv") and $#output instead
of (assoc-ref %outputs "out")).

Otherwise, LGTM.

Regards,
-- 
Nicolas Goaziou